import 'package:flutter/material.dart';

import 'package:get/get.dart';
import 'package:get_demo/pages/second/second_controller.dart';

class SecondView extends GetView<SecondController> {
  const SecondView({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          title: const Text('SecondView'),
          centerTitle: true,
          leading: IconButton(
              onPressed: () {
                Get.back();
              },
              icon: const Icon(Icons.arrow_back)),
        ),
        body: Obx(() {
          return InkWell(
            onTap: () {
              controller.isLike(controller.goods)
                  ? controller.removeLike(controller.goods)
                  : controller.addLike(controller.goods);
            },
            child: Row(
              children: [
                SizedBox(height: 10),
                Text(controller.goods.title ?? ''),
                SizedBox(width: 10),
                Icon(Icons.favorite,
                    color: controller.isLike(controller.goods)
                        ? Colors.red
                        : Colors.grey),
                SizedBox(
                  height: 20,
                )
              ],
            ),
          );
        }));
  }
}
